Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OggVorbisReaderImpl Class Reference

OggVorbisリーダ実装クラス. More...

List of all members.

## Public Member Functions
| OggVorbisReaderImpl (const FilePath &filePath)
| コンストラクタ
virtual | ~OggVorbisReaderImpl ()
| デストラクタ
virtual u_int | getSize () const
| サイズの取得
virtual int | getSample () const
| サンプル数の取得
virtual int | getChannel () const
| チャンネル数の取得
virtual int | getBit () const
| ビット数の取得
virtual const String & | getComment ()
| コメントの取得
virtual void | setCursor (u_int cursor)
| 位置の設定
virtual u_int | getCursor ()
| 位置の取得
virtual bool | readHeader ()
| ヘッダ読み込み
virtual int | read (void *buffer, u_int size)
| 読み込み

## Detailed Description

OggVorbisリーダ実装クラス.

Definition at line 37 of file OggVorbisReader.cpp.

## Constructor & Destructor Documentation

Lamp::OggVorbisReaderImpl::OggVorbisReaderImpl | ( | const FilePath & | filePath | ) | `[inline]`

  | コンストラクタ Parameters:
  filePath | ファイルパス
Definition at line 43 of file OggVorbisReader.cpp. References NULL.

## Member Function Documentation

virtual int Lamp::OggVorbisReaderImpl::getBit | ( |  | ) | const`[inline, virtual]`

| ビット数の取得 Returns: ビット数 Definition at line 98 of file OggVorbisReader.cpp. References Assert. Referenced by Lamp::OggVorbisReader::getBit().

virtual int Lamp::OggVorbisReaderImpl::getChannel | ( |  | ) | const`[inline, virtual]`

| チャンネル数の取得 Returns: チャンネル数 Definition at line 89 of file OggVorbisReader.cpp. References Assert. Referenced by Lamp::OggVorbisReader::getChannel().

virtual const String& Lamp::OggVorbisReaderImpl::getComment | ( |  | ) | `[inline, virtual]`

| コメントの取得 Returns: コメント Definition at line 107 of file OggVorbisReader.cpp. References Assert. Referenced by Lamp::OggVorbisReader::getComment().

virtual u_int Lamp::OggVorbisReaderImpl::getCursor | ( |  | ) | `[inline, virtual]`

| 位置の取得 Returns: 位置 Definition at line 129 of file OggVorbisReader.cpp. References u_int. Referenced by Lamp::OggVorbisReader::getCursor().

virtual int Lamp::OggVorbisReaderImpl::getSample | ( |  | ) | const`[inline, virtual]`

| サンプル数の取得 Returns: サンプル数 Definition at line 80 of file OggVorbisReader.cpp. References Assert. Referenced by Lamp::OggVorbisReader::getSample().

virtual u_int Lamp::OggVorbisReaderImpl::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 71 of file OggVorbisReader.cpp. References Assert, and u_int. Referenced by Lamp::OggVorbisReader::getSize().

virtual int Lamp::OggVorbisReaderImpl::read | ( | void * | buffer,
|  | u_int | size
| ) | `[inline, virtual]`

  | 読み込み Parameters:
  buffer | 読み込みバッファ
  size | 読み込みサイズ
Returns: 読み込んだサイズ。終端なら0、失敗すれば-1 Definition at line 186 of file OggVorbisReader.cpp. References Assert, and NULL. Referenced by Lamp::OggVorbisReader::read().

virtual bool Lamp::OggVorbisReaderImpl::readHeader | ( |  | ) | `[inline, virtual]`

| ヘッダ読み込み Returns: 成功すればtrue Definition at line 136 of file OggVorbisReader.cpp. References Assert, Lamp::FilePath::existFile(), Lamp::String::getBytes(), Lamp::FilePath::getPath(), Lamp::String::getSubstring(), NULL, setCursor(), Lamp::String::startsWith(), and u_int. Referenced by Lamp::OggVorbisReader::readHeader().

virtual void Lamp::OggVorbisReaderImpl::setCursor | ( | u_int | cursor | ) | `[inline, virtual]`

  | 位置の設定 Parameters:
  cursor | 設定する位置
Definition at line 117 of file OggVorbisReader.cpp. References Assert, and ErrorOut. Referenced by readHeader(), and Lamp::OggVorbisReader::setCursor().

The documentation for this class was generated from the following file:

- OggVorbisReader.cpp